#include <iostream>
#include <map>

using namespace std;

struct Trie {
    map<char, Trie*> ch;
    int cnt;
    Trie() : cnt(0) {}
};

int proc(char* word, Trie* node) {
    ++node->cnt;
    if (*word) {
        if (node->ch.find(*word) == node->ch.end())
            node->ch[*word] = new Trie;
        return proc(word+1, node->ch[*word]);
    }
    return node->cnt-1;
}

int main() {
    int n;
    char word[40];

    Trie* root = new Trie();

    cin >> n;
    while (n--) {
        cin >> word;
        cout << proc(word, root) << endl;
    }

    return 0;
}
