#include <iostream>
#include <vector>

using namespace std;

typedef long long ll;

ll f(ll n) { return (n&1)?(3*n+1):(n>>1); }

int main() {

    ll a, b;
    while ((cin >> a >> b) && a) {
        vector<ll> sa(1, a), sb(1, b);

        while (sa.back() != 1) sa.push_back(f(sa.back()));
        while (sb.back() != 1) sb.push_back(f(sb.back()));

        int ia = sa.size()-1, ib = sb.size()-1;

        while (ia >= 0 && ib >= 0 && sa[ia] == sb[ib]) { --ia; --ib; }
        cout << a << " needs " << ia+1 << " steps, "
             << b << " needs " << ib+1 << " steps, "
             << "they meet at " << sa[ia+1] << endl;
    }

    return 0;
}
