cno = 0

while True:
    try:
        n, m = map(int, input().split())
    except EOFError:
        break

    grid = [input() for _ in range(n)]

    par = {(i,j):(i,j) for i in range(n) for j in range(m) if grid[i][j] == "-"}

    def find(t):
        if par[t] != t:
            par[t] = find(par[t])
        return par[t]

    diff = [(1,0), (-1,0), (0, 1), (0, -1)]

    for i in range(n):
        for j in range(m):
            if grid[i][j] == "-":
                for dr, dc in diff:
                    ii, jj = i+dr, j+dc
                    if min(ii, jj) >= 0 and ii < n and jj < m and grid[ii][jj] == "-":
                        par[find((i, j))] = find((ii, jj))

    cnt = 0
    for a, b in par.items():
        if a == b:
            cnt += 1
    cno += 1

    print("Case {0}: {1}".format(cno, cnt))
